summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-12 23:31:50 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:31:50 +0200
commit319a6b099c6b6e2c04d898c3500dc5eb155db2b4 (patch)
tree96b5496b5ea069c4d4256d1e97e1f2f205134039 /multimedia
parentc8b3ea248aab9fdb77eff9e0272f368a23a9e242 (diff)
downloadslackbuilds-319a6b099c6b6e2c04d898c3500dc5eb155db2b4.tar.gz
slackbuilds-319a6b099c6b6e2c04d898c3500dc5eb155db2b4.tar.xz
multimedia/mscore: Added to 12.2 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mscore/README6
-rw-r--r--multimedia/mscore/doinst.sh3
-rw-r--r--multimedia/mscore/mscore.SlackBuild74
-rw-r--r--multimedia/mscore/mscore.info8
-rw-r--r--multimedia/mscore/slack-desc19
-rw-r--r--multimedia/mscore/translations.diff34
6 files changed, 144 insertions, 0 deletions
diff --git a/multimedia/mscore/README b/multimedia/mscore/README
new file mode 100644
index 0000000000..234e6a63b4
--- /dev/null
+++ b/multimedia/mscore/README
@@ -0,0 +1,6 @@
+MuseScore is a free cross platform WYSIWYG music notation
+program, licenced under GNU GPL.
+
+Requires Qt4.
+
+Optionally jack-audio-connection-kit portaudio. \ No newline at end of file
diff --git a/multimedia/mscore/doinst.sh b/multimedia/mscore/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/multimedia/mscore/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/mscore/mscore.SlackBuild b/multimedia/mscore/mscore.SlackBuild
new file mode 100644
index 0000000000..5dd06aa167
--- /dev/null
+++ b/multimedia/mscore/mscore.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+# Slackware build script for mscore
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=mscore
+VERSION=${VERSION:-0.9.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION/$PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/translations.diff
+
+mkdir build
+cd build
+ lrelease-qt4 ../share/locale/*.ts
+ cmake -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE="$ARCH-slackware-linux" ..
+ make
+ make install DESTDIR=$PKG
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/man/man1
+gzip -9c packaging/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+sed -i '/Categories/d' $PKG/usr/share/applications/$PRGNAM.desktop
+echo "Categories=Application;Qt;AudioVideo;" >> \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/mscore/mscore.info b/multimedia/mscore/mscore.info
new file mode 100644
index 0000000000..f3ee97a95a
--- /dev/null
+++ b/multimedia/mscore/mscore.info
@@ -0,0 +1,8 @@
+PRGNAM="mscore"
+VERSION="0.9.4"
+HOMEPAGE="http://www.musescore.org/"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/mscore/mscore-0.9.4.tar.bz2"
+MD5SUM="3fc3455076646bf95e3f4327a1f923ef"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/multimedia/mscore/slack-desc b/multimedia/mscore/slack-desc
new file mode 100644
index 0000000000..09f0f0ae11
--- /dev/null
+++ b/multimedia/mscore/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mscore: mscore (WYSIWYG Music Score Typesetter)
+mscore:
+mscore: MuseScore is a free cross platform WYSIWYG music notation program,
+mscore: licenced under GNU GPL.
+mscore:
+mscore: Homepage: http://www.musescore.org/
+mscore:
+mscore:
+mscore:
+mscore:
+mscore:
diff --git a/multimedia/mscore/translations.diff b/multimedia/mscore/translations.diff
new file mode 100644
index 0000000000..776ae83178
--- /dev/null
+++ b/multimedia/mscore/translations.diff
@@ -0,0 +1,34 @@
+diff -Naur mscore.orig/share/locale/CMakeLists.txt mscore/share/locale/CMakeLists.txt
+--- mscore.orig/share/locale/CMakeLists.txt 2009-02-06 10:34:11.000000000 +0000
++++ mscore/share/locale/CMakeLists.txt 2009-04-02 18:04:07.000000000 +0000
+@@ -20,30 +20,17 @@
+
+ install(FILES
+ mscore_de.qm
+- mscore_de.ts
+ mscore_it.qm
+- mscore_it.ts
+ mscore_pt.qm
+- mscore_pt.ts
+ mscore_ru.qm
+- mscore_ru.ts
+ mscore_es.qm
+- mscore_es.ts
+ mscore_fr.qm
+- mscore_fr.ts
+ mscore_nl.qm
+- mscore_nl.ts
+ mscore_cz.qm
+- mscore_cz.ts
+- mscore_gl.ts
+ mscore_gl.qm
+- mscore_tr.ts
+ mscore_tr.qm
+- mscore_hi_IN.ts
+ mscore_hi_IN.qm
+- mscore_pt_BR.ts
+ mscore_pt_BR.qm
+- mscore_en_GB.ts
+ mscore_en_GB.qm
+ DESTINATION ${Mscore_SHARE_NAME}${Mscore_INSTALL_NAME}locale
+ )